# Contributing

When contributing to this repository, please first discuss the change you wish
to make via issue, email, or any other method with the owners of this repository
before making a change.

Please note we have a code of conduct, please follow it in all your interactions
with the project.

## Pull Request Process

If you'd like to contribute to Oprah, start by forking the repository on GitHub:

http://github.com/endofunky/oprah

To get all of the dependencies, install the gem first. The best way to get your
changes merged back into core is as follows:

- If you are about to add a larger feature, open an issue on the GitHub issue
  tracker to discuss your ideas first. If whatever you're about to implement is
  already in the issue tracker, please let us know that you picked it up.

- Clone down your fork.

- Create a thoughtfully named topic branch to contain your change.

- Write some code.

- Add tests and make sure everything still passes by running bundle exec rake.
  This is mandatory for pull requests to be accepted.

- If you are adding new functionality, document it!

- Do not change the version number.

- If necessary, rebase your commits into logical chunks, without errors.

- Push the branch up to GitHub.

- Send a pull request to the endofunky/oprah project.

## Contributor Code of Conduct

As contributors and maintainers of this project, and in the interest of
fostering an open and welcoming community, we pledge to respect all people who
contribute through reporting issues, posting feature requests, updating
documentation, submitting pull requests or patches, and other activities.

We are committed to making participation in this project a harassment-free
experience for everyone, regardless of level of experience, gender, gender
identity and expression, sexual orientation, disability, personal appearance,
body size, race, ethnicity, age, religion, or nationality.

Examples of unacceptable behavior by participants include:

- The use of sexualized language or imagery

- Personal attacks

- Trolling or insulting/derogatory comments

- Public or private harassment

- Publishing other's private information, such as physical or electronic
  addresses, without explicit permission

- Other unethical or unprofessional conduct.

Project maintainers have the right and responsibility to remove, edit, or
reject comments, commits, code, wiki edits, issues, and other contributions that
are not aligned to this Code of Conduct. By adopting this Code of Conduct,
project maintainers commit themselves to fairly and consistently applying these
principles to every aspect of managing this project. Project maintainers who do
not follow or enforce the Code of Conduct may be permanently removed from the
project team.

This code of conduct applies both within project spaces and in public spaces
when an individual is representing the project or its community.

Instances of abusive, harassing, or otherwise unacceptable behavior may be
reported by opening an issue or contacting one or more of the project
maintainers.

This Code of Conduct is adapted from the
[Contributor Covenant](http://contributor-covenant.org), version 1.2.0,
available at http://contributor-covenant.org/version/1/2/0/
